Package io.vertx.grpc.reflection.v1

## Interface ListServiceResponseOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `ListServiceResponse`, `ListServiceResponse.Builder`

      public interface ListServiceResponseOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServiceResponse` | `getService​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `int` | `getServiceCount()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<ServiceResponse>` | `getServiceList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `ServiceResponseOrBuilder` | `getServiceOrBuilder​(int index)` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.
    `List<? extends ServiceResponseOrBuilder>` | `getServiceOrBuilderList()` | The information of each service may be expanded in the future, so we use ServiceResponse message to encapsulate it.

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getServiceList

          List<ServiceResponse> getServiceList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getService

          ServiceResponse getService​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getServiceCount

          int getServiceCount()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getServiceOrBuilderList

          List<? extends ServiceResponseOrBuilder> getServiceOrBuilderList()

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`

    - #### getServiceOrBuilder

          ServiceResponseOrBuilder getServiceOrBuilder​(int index)

           The information of each service may be expanded in the future, so we use
           ServiceResponse message to encapsulate it.

      `repeated .grpc.reflection.v1.ServiceResponse service = 1;`